# Function createUpgradeGuardianSetInstruction

- createUpgradeGuardianSetInstruction(connection, wormholeProgramId, payer, vaa): TransactionInstruction

- #### Parameters

  - ##### connection: Connection

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### vaa: VAA<"WormholeCore:GuardianSetUpgrade">

  #### Returns TransactionInstruction

  - Defined in utils/instructions/governance.ts:131

Generated using TypeDoc